---
title: "Gathering hardware"
type: Chapter
slug: true
front: true
---

<span template-type="chapter"></span>

When salvaging for parts, we are looking for abandoned hardware. Hardware that is still fine on the inside, but no longer deemed as functional by its previous owners[^no-longer-functional]. These devices can be a literal goldmine of working parts that could be repurposed, as their inner parts probably still function, it’s the stylistic obsolescence [^stylistic-obsolescence] that is the problem.

<ins>Here, I would like to go much more into detail about obsolescence and the different ways it presents itself so that I can refer back to it at a later point. Using [@hertzZombieMediaCircuit2012] & [@parksFallingApartElectronics2007]</ins>

[^no-longer-functional]: The spectrum of "still fine" and "no longer deemed as functional" is very wide. Think about printers for which their specific cartridges are no longer produced, Blu-ray players, the E.T. game that was buried, that iPhone 8 with a bad battery, Spotify's "Car Thing", etc.

[^stylistic-obsolescence]: **stylistic obsolescence** The idea that objects can go out of fashion and therefore should be replaced every season [@sterneOutTrashFuture2007]

I’ve identified 3 strategies for gathering the electronic hardware. 

##### 1. Browsing the streets
I feel like good waste *“comes to you”*. Keep your eyes open, look around. Actively going on waste walks has not been very fruitful for me. The success is dependent on where you live and the waste regulations and activities[^waste-activities]. Information about waste management should[^should-be-communicated] be communicated via the municipality[^unbinair-waste].

[^unbinair-waste]: <ins>I would like to mention the hidden waste streams discussed in [@fennisOntologyElectronicWaste2022]</ins>

[^waste-activities]: In Rotterdam, there are various WhatsApp & Facebook groups exchanging geo locations for great trash.

[^should-be-communicated]: The municipality waste guide website & app of Rotterdam is not functioning and has not been updated since 2022.

##### 2. Donations from friends & family
As you enthusiastically keep your friends & family in the loop about your salvaging endeavors, you’ll notice the phenomenon of donations. Since a large portion of our replaced computing devices still reside in our storage units, waiting to be of any value, most would be happy to find such a good destination as you. Additionally, might be time to check your own skeletons in the closet [@gabrysDigitalRubbishNatural2011].

##### 3. Institutional discards
Institutions where electronic hardware is not their day-to-day business, usually do not have a systematic solution for their e-waste. Due to tax regulations in the Netherlands, many have a system in place to replace their hardware (printers, computers, etc. ), every 5 years. The remainder are put in storage. This could be you! 

## Outside of the system
My attempts to create a more consistent waste stream through more “official” routes have not been very successful. These established waste streams, where trash is being collected, organised, and processed in multiple facilities,  are quite difficult to discover[^difficult]. Usually the method of exchange is to translate the waste into monetary value, only being sold in the bulk. Solo salvaging is not invited in this transaction.

Hier kun je evt iets zeggen over Ontology Of Electronic Waste

[^difficult]: where some are happy to say everything is eco-friendly, not all feel like showing who their partners are. 

My attempts to establish a relationship with the secondhand shop[^broken] have not been successful, but maybe you’re able to propose a better deal. Out of pity I was allowed to snoop in their garbage bin (which was locked away and filled with goodies). Their waste was already part of a monetized system, and my presence didn’t fit.

The recycling center is also 

[^broken]: I figured they’d have a lot of devices being donated that are broken, and I’d love to take those.


## Pick your battles
When inspecting a device for salvage possibilities, I try to imagine what the inside of the device looks like. What kind of components might I find? Are there any motors or moving parts? What kind of material is the device made of? What time period is it from? Which companies manufactured the device and its parts? Do I see any use for it now? If I don’t expect much, I’ll leave it for the next person to salvage.