---
title: "Dismantling"
type: Chapter
slug: true
front: true
---

Once you've found a piece of hardware, it's time to start dismantling the device. Find a workspace where you can easily move your device around, and a container or a jar for all small parts & screws.

![Create a toolkit that works for you!](/assets/chapters/toolkit.webp)

### Some tools for opening devices
- A set of screwdrivers with various bits [^bits]
- A plastic “thing” (e.g. a plectrum, or a dull plastic knife)
- multimeter <ins>I will write a bit of glossary to include short instructions on multimeters<ins>
- A saw/knife to cut away plastic
- A drill to drill trough damaged screws

[^bits]: To make your life a bit more difficult; Apple designed their very own "Pentalobe" screws. At the time, no store sold the right screwdriver for these screws, and using an incorrect screwdriver could damage the screws of your macbook, making it even more difficult to get inside.

## Opening the device
In some cases, product manufacturers provide service manuals[^repair-manual]. These service manuals contain valuable information that can help you to understand the device and to take it apart. Unfortunately, most of the devices I’ve taken apart did not publish their service manuals, meaning we have to figure it out ourselves. Luckily, there are online communities that create their own dismantling guides[^lack].


[^repair-manual]: ![Preview of the manual](./assets/chapters/2/trouble-shoot.png) [This](https://elektrotanya.com/panasonic_rs-768us.pdf/download.html#dl) repair manual that passed the Repair Club contains a schematic, disassembly information, parts list and multiple trouble shouting guides.

[^lack]: [IFixIt](https://ifix.com/) is known for their teirdown guides online, and work in the Right to Repair movement. <ins>heroic masculinity</ins>

Let’s take a look at the device. Do you spot any screws? They might be hidden behind stickers noting you that you are now voiding your warranty[^warranty]. I found it helpful to follow the seams of the material of the device since, especially with plastics, it’s not just screws holding your device together.

[^warranty]: These warranty stickers are not always legally binding. Do you have the receipt for something you found in the bin? In case you do, since the adoption of *Common Rules to Promote the Repair of Goods* manufacturers are prohibited from using contracts, hardware, or software to restrict product repairs [@CurrentStateRight2024]. <ins>Not sure how to cite this report (yet) </ins>

If you’ve managed to get a gap in a seam somewhere, stick a thin plastic “thing” in there and carefully push it along the seam. There might be tiny tabs holding the parts together. If the manufacturer really didn’t want you to get in there, they’ve glued it all up, and it is impossible to get in the device without causing permanent damage [^black-box]. A hot air gun could help to dissolve the glue (I’m afraid of melting plastic), or you could cut out the plastic using a knife or drill.

This process really is about finding small gaps in the enclosures[^black-boxism], until you’ve dismantled the entire device. Did you manage? Amazing! You're now looking at all of the inner bits and pieces of your device, made up of all kinds of materials [^inside]. 

[^black-box]: These glued up personal devices are clearly not made to be opened. They are black boxes by design, designed to become obsolete [@hertzZombieMediaCircuit2012]. <ins>verder over black boxes (maar miss op een ander punt, bijv. bij een device specifiek)</ins>

[^black-boxism]: slowly removing the outer layer of your black box, revealing the inner mechanisms.  

[^inside]: The inside can tell you more about the time the device was made in. For instance, I mostly find aluminum and iron type materials on the inside of older machines. 

<ins>I will include a series of pictures that show the different issues that arise when opening a device; for instance: the following of the seam to click open the little tabs, the screws hidden behind stickers, warrenty stickers and messages </ins>

<ins>I would like to include more about the Right to Repair, and how the manual could be part of the object itself (page 14 of [@matternStepStepThinking2024] en pagina 2 van [@parksCrackingOpenSet2000])</ins>
