---
title: "Recipes for reuse"
type: Chapter
slug: true
front: true
nested: "recipes"
---

Hopefully, you’ve salvaged a variety of components by now, and we can start to actually build some sound with them. In this chapter you'll find a bunch of recipes; the starting points for sound devices. These modular recipes can be used standalone or connected together into a bigger system. This modularity makes problem-solving slightly easier[^easier], and you can pick and choose your modules based on your salvaged inventory.

[^easier]: Still a headache! But now you only have to triple check a handful of components, instead of 120

Every recipe contains a paper circuit[^paper-circuit-ciat] to print. These circuits are the blueprint of your device, between a schematic and a industrial PCB. The biggest advantage of using paper, apart from being able to solder the connections of your components right on top of the circuit, is that it is paper. You can take notes, draw lines and adjust the schematic as you go.

[^paper-circuit-ciat]: I've copied the method from Synthesizer builder Ciat Lonbarde, who used paper circuits to prototype and to distribute circuits and ideas for free @blasserStoresMall2015 .

### Assembling the circuit[^assembly]
1. Cut out the circuit and fold it in half, creating a two sided print
2. Gather the components listed in the "Bill of Materials" (BOM)
3. Populate the first components by pinning the legs trough the paper in their designated areas. Keep an eye on the orientation[^orientation]. Start small (resistors) then move to larger parts.
4. Create the connections according circuit by soldering the legs together. I've found bare copper wire is the fastest.
5. Repeat until all components are in place!
6. Test & triple-check all connections [^triple-check].

[^assembly]: <ins>something about tools</ins>

[^orientation]: Some capacitors, LED's and other components all have a specific polarity/orientation.

[^triple-check]: With salvaged components you'll have a limited supply. Test to prevent component loss.

There is no need to understand every single component on each recipe [^no-need], but try to follow the connections on the circuit. Which road is the audio signal taking? This will help you a lot with troubleshooting.

[^no-need]:Rule #17 from Handmade Electronic Music states "If it sounds good and doesn’t smoke, don’t worry if you don’t understand it." @collinsHandmadeElectronicMusic2009.


If you want to build a modular, my advice is not to do it if you want to have any friends, it takes too much time. > [source](https://web.archive.org/web/20151011091344/http://www.irfp.net/Projects/machines/Modular.html)


## Safety notes

- **Audio can be surprisingly loud**. Use small speakers (never headphones!) you wouldn’t miss if they break, and keep your hand on the volume dial when plugging in your sound device for the first time
- **Use batteries** plugging into a wall (120V) can be incredibly dangerous. When making changes
- **watch that smell** “magic smoke” has a certain smell. Unplug immediately when something smells/smokes!
- **two know more then one** If you're not sure, invite a friend and I'm sure you'll figure it out together


<ins>Dirty electronics talks about scale in electronics,  “With the ever-decreasing size and miniaturisation of electronics, the work of Dirty Electronics often attempts to re-size technology to human scale. The idea expressed by David Tudor of composing inside electronics is re-addressed with the intention of thinking of composing ‘outside’ electronics, where a music driven by electronics is also” [@richardsDIYElectronicMusic2013]</ins>

<ins>Talk about which components are replacable, how to circuit bend your own circuits</ins>

<span class="fix-break-left"></span>