---
title: "Storing parts"
type: Chapter
slug: true
---
<span template-type="chapter"></span>

Hopefully by now you’ve managed to build and explore some raging sound devices! For me, this is the moment to sit in the middle of a workshop surrounded by caresses of printers, cassette recorders and radio’s, and deal with the remainders. It becomes clear how the actions are a small intervention in the bigger lifecycle of waste. We extended the life of the hardware for a bit and created the moment of celebration, [@lulinvegaHolisticApproachComputing] and now the majority [^majority]of the hardware will continue on their cycle.

[^majority]: Majority in terms of size. I’m strategically keeping all components, but keeping the plastic carcas of an CD Player/Radio just does not make sense.

### Difficulties in salvaging
During the dismantling of the devices in chapter 1, we discovered, trough threatening stickers, obscure bits and strong glue that many of the devices did not want to be opened. Their plastic containers are very “final” forms, every attempt to drill or cut results in rough scars rather than a transformation of form.

Instead of modifying the salvaged device after it’s consumed, the possibility for appropriation should actually already be in the blueprint during the design process, before it’s even built [@gabrysSalvage2012]. Manufactures, both of end products and materials, should carry a responsibility for their objects, not only during the manufacturing but extended to the entire lifecycle.

Unfortunately, as Remy and Huang discuss, *unintentional absolescence*, is built into the system. The two main goals of the IT industry, researching new technologies and sell more products, actively work against many attempts of improving repair and reuse [@remyLimitsSustainableInteraction2015] [@remyLimitsSustainableInteraction2015][^against]. Some major product companies, such as Coolblue, Apple and Samsung, have started recycling programs. However, it’s unclear what exactly happens with the recycled material, and is always part of a buying process [^samsung]. This relieves the consumer of the responsibility of disposing their product, but keeps the cycle of buying new intact.

[^against]: For instance 3D printing company Bambu Lab recently released reusable PCB’s, to make toys out of 3d prints. The only reusable thing about it, is that you could reuse it within their product line. More reusable would be if they used an Arduino instead. It’s always “Buy our new product that you could reuse for something else” and never “reuse something else and don’t buy our new product”. 


[^samsung]: For instance, [Samsungs recycle program](https://www.samsung.com/nl/inruil/) starts with *“Stap 1. Koop je nieuwe toestel met inruilvoordeel op samsung.com”‌*.


## Regulations
But hopefully salvaging will become somewhat easier in the upcoming years, due to regulation pushed by the Right to Repair movement in the EU. A new *Battery Regulation* requires batteries to be removable without specialised tools in 2027. Spare parts should be available longer (depending on the type of device), and the *Ecodesign regulations* dictate which parts should be replaceable, the level of expertise needed for the replacement and if specialty tools are required.

The regulations are limited to specific product groups, and mostly focussed towards consumer products such as phones, televisions and fridges.

With all of these repairable products, we’d still need the skills and the services to repair them. Martine Postma, initiator of the first Repair Cafe, advocates to teach repair as skill in high school, and create more opleidingen tot repair person, as the amount of people being able to perform repairs, is also lowering rapidly. Additionally, she argues that the taxes scale between buying a new product and paying for a repair is out of balance, causing repair to be the lesser option money wise. [@postmaWeggooienMooiNiet2015]


With more repairable products, we’d still need the skills and services to fix them. Martine Postma, founder of the first Repair Café, advocates for teaching repair skills in schools and creating more training programs for repair professionals, as the number of skilled repairers is rapidly declining. She also argues that the tax system unfairly favors buying new products over repairing old ones, discouraging repair. [@postmaWeggooienMooiNiet2015]

## Room to salvage
When we desoldered all of the capacitors, resistors, chips and whatnot in chapter 3, I was happily surprised with how many of them still worked. Actually, most of the broken devices only had one or two faults in them, yet were thrown out in their entirety. This makes them a great resource for salvaging.

Using salvaged components to create sound devices has been and still is, a research with ups and downs, and —I’m really curious how it went for you! Having limited resources does not always help with the learning process. Blowing up the last op-amp (again) can be seriously discouraging. But at the same time, salvaged components can spark creativity, as they include the history of the device that is was part of before [@hertzZombieMediaCircuit2012]. A switchboard salvaged from a casette recorder from the 80's ignite does more then store-bought one.