---
title: Capacitors
type: Capacitor
description: This is the description
usage: Capacitors stores an electrical charge, expressed in microFarads (μF), nanoFarads (nF) of picoFarads (pF).
whereToFind: Everywhere!
images:
  - src: ./assets/components/Capacitors.JPG
    alt: 'The various sizes of Capacitors'
schematicSymbol: https://upload.wikimedia.org/wikipedia/commons/thumb/1/1c/Types_of_capacitor.svg/460px-Types_of_capacitor.svg.png
alsoKnownAs: "Caps, condenser"
---
Capacitors come in all sizes. I’ve seen capacitors as big as a coffee cup, and the SMD ones are so small they are barely visible. They are passive components that can be found in most electronic circuits. There is a wide variety of types available, like ceramic capacitors, electrolytic capacitors, etc,  each having their own properties.

Electrolytic capacitors specifically, do not age well. Fully unused they have lifespan of 2 to 3 years. There are (complicated) ways of getting them back to life, but  [@jangUnplannedObsolescenceHardware2017] recommends that they are replaced by ceramic capacitors, that have a lifespan of 100+ years.

### Salvaging Capacitors safely
Capacitors store electricity, even after being disconnected from power. Accidentally touching the legs of a charged capacitor can give you a shock. Larger capacitors, such as the ones found in camera flashes or television sets, can store a dangerous amount of electricity. Make sure to always discharge the capacitors before storing them away.

This process releases the electronic charge from the capacitor. I do this by connecting the two legs of a capacitor together using a screwdriver. This can cause a small spark, as you’ve just created a short circuit. As long as you stay away from the big capacitors in TV’s and camera flashes, this method is fine.
<ins>picture on how to this is done</ins>

### Testing capacitors
You can verify the capacitors capacitance with a multimeter. My multimeter doesn't have a capacitance setting, but this is not a necessity. Set the multimeter continuity mode, where it'll give a beep if there is continuity. Test a discharged capacitor by touching the legs of the capacitor with the probes of the multimeter. If there is no sound, or a continuous volume/pitch, the capacitor is dead. Otherwise, it's fine.
