---
title: Single Transistor Oscillator
BOMTable: true
order: 2
shortDescription:
  "This unreliable schematic creates a tone!"
BOM:
  - type: Transistor
    count: 1
    value: "2N3906"
    alternative: "2N4401, SS9014, 2N4124, 2N3904, BD137, BD139, BC337, SS9018"
  - type: Capacitor
    count: 1
    value: "10uF"
  - type: Resistor
    count: 1
    value: "1K"
  - type: Resistor
    count: 1
    value: "100K"
  - type: Resistor
    count: 1
    value: "10K Variable"
  - type: LED
    count: 1
  - type: Audio jack
    count: 1
  - type: Recipe
    label: "18V Power Supply"
    count: 1
Connections:
  - +18v
  - GND
  - Sound signal
pcb: "./recipes/SingleTransistorOsc/PaperCircuit.svg"
sample: "./recipes/SingleTransistorOsc/sample_Cropped.mp3"
buildNotes:
  - "use alligator clips to connect your 18V and GND to your power supply"
  - "Cut the middle leg of the transistor for this to work"
---

This "super simple oscillator circuit"[^easy] makes use of something called a "reverse avalance breakdown effect" in transistors. As I understand it, the capacitor and transistor of this circuit constantly trigger each other, creating a on-off-on-off-on-off situation, which in the audible realm sounds like a saw wave. Not all transistors can do it, so it's a bit of a trial and error process [^reddit]. 

[^easy]: I am very fed up with the amount of times someone has said something would be easy. It is not.

[^reddit]: This is why Reddit has advised against building this oscillator. But this is the only sound generating schematic that has worked so far and doesn't use chips. 

### Powering
Select the amount of voltage you need based on the transistor[^datasheet] you have. Mine needed 18V, so using alligator clips, I've connected our previously built power supply.

[^datasheet]: Find a datasheet online to discover your transistors' voltage limits before plugging in the circuit <ins>should I talk about datasheets more?</ins>

### Testing & Troubleshooting
After double-checking all your connections, hook the audio out to an amplified speaker (like a small JBL). No sound? Here are things to try:
- Triple check your connections and the orientation of the capacitor.
- Play around with the potentiometer[^potmeter].
- using a multimeter, follow the entire audio trace from the transistor up until your audio cable. 
- Try a different transistor

[^potmeter]: mine only makes a sound for a small portion of the potentiometers range.

## When there is noise
If you, like me, have struggled a lot to get any sound whatsoever, I can hopefully tell you that **this is where things will get fun(ky)**. Getting a single sound out of anything is such a eureka moment. [^clicks]Because from here, you'll be able to play around with the circuit and use our own imagination. For instance, using a different sized resistor to change the pitch. Or, using a Light Dependant Resistor to control the pitch based on the sound. Or adding a on/off button. Or, building your own keyboard using multiple resistors...

[^clicks]: Making and playing this circuit helped me a lot with understanding how electricity flows and how you can manipulate the flow.