---
title: Power Supply
BOMTable: true
order: 0
shortDescription:
  "Create a power supply for your future circuits"
BOM:
  - type: Capacitor
    count: 2
    value: "10uF"
  - type: Resistor
    count: 2
    value: "10Ω"
  - type: Misc
    label: "2x 9V battery clips"
  - type: Misc
    label: "3 conductive nails for the +V, -V & GND pins"
Connections:
  - -9v
  - +9v
  - GND
pcb: "./recipes/power-supply/PaperCircuit.svg"

---

This circuit provides -9V[^negative-volt], 0V/Ground and +9V outputs, by combining two 9V batteries. If your project requires it, you can use any kind of battery instead of the 9V one, as long as they're two of the same [^18V].

You could skip the capacitors and resistors and just connect the batteries together. However, they help filter electrical spikes, making the output smoother [^smooth].

[^negative-volt]: Some chips, mostly op-amps, require a negative voltage, which does not come out of a battery by default. 

[^18V]: You can also get 18V: treat the -9V pin as 0V, making the 9V pin 18V

![Since this power supply will be used a lot, I made it a bit more permanent by glueing it to a piece of wood.](./recipes/power-supply/photo.jpeg)


[^smooth]: ![The capacitor can filter electrical spikes for a more smooth voltage input](./recipes/power-supply/filtering.png){ height=30px }

#### Testing
Before plugging in the battery's, check your connections[^continuity]. When the batteries are plugged in, your pins should read -9V and +9V[^volt-meter].

[^volt-meter]: Test this by using the volt meter on the multimeter. One probe touches your ground pin, the other the pin you'd like to test.

[^continuity]: You can test this using the *continuity* mode on your multi meter, which beeps if electricity can pass trough.

#### Upgrade
An upgrade that could be useful is adding a power switch and/or LED to show if the power supply is active.